@echo off
:: =============================================================================
::  File:   INSTALL.BAT
::  Author: TCD
::  Date:   7/24/2000
:: =============================================================================
::                                                                             
::                            Speedline Technologies                           
::                                16 Forge Park                                
::                              Franklin, MA 02038                             
::                                (508) 520-6999                               
::                                                                             
::                          Copyright (c) 1988 - 2001.                         
::                                                                             
:: =============================================================================
::  Batch File Description:
::    Inserting the SPM SERIES AV diskette into drive A: and rebooting the PC
::    will execute the AUTOEXEC.BAT batch file which calls INSTALL.BAT.
::    INSTALL.BAT does the installation of SPM Vision Software Version 4.0 and
::    calls INSTLANG.BAT which does the following language support specific
::    installation steps:
::
::        1. Create the 'C:\SPMV' directory
::
::        2. Copy 'A:\SPMV\LANGUAGE.BAT' into 'C:\SPMV'
::
::        3. Create a subdirectory off of 'C:\SPMV' for each language:
::
::             C:\SPMV\English
::             C:\SPMV\French
::             C:\SPMV\German
::             C:\SPMV\Spanish
::
::        4. Call INSTLANG.BAT which does the following:
::
::             1. Install the language support files into the language
::                subdirectories created in # 3 above by executing the following
::                self-extracting language archive files:
::
::                  A:\SPMV\English\English.exe
::                  A:\SPMV\French\French.exe
::                  A:\SPMV\German\German.exe
::                  A:\SPMV\Spanish\Spanish.exe
::
::                The language '.RSC' file and '*.HLP' files are extracted into
::                the language subdirectories off of 'C:\SPMV'.
::
::             2. English is installed as the default language by the following:
::
::                  Copy C:\SPMV\English\English.rsc C:\SPMV\Strings.rsc
::
::                  Copy C:\SPMV\English\*.hlp C:\SPMV\Help
::
::             3. Call LANGUAGE.BAT which provides the ability to install the
::                selected language by the following:
::
::                  Copy the language '.RSC' file to 'C:\SPMV\STRINGS.RSC'
::
::                  Copy the language '*.HLP' files into 'C:\SPMV\HELP'
::
::      LANGUAGE.BAT is called by INSTLANG.BAT or can be invoked directly by
::      entering C:\SPMV\LANGUAGE.BAT on the command line.
::
::   
::  History:
::      7/24/2000   Initial Release   
::
:: 
:: =============================================================================

cls
path=a:\
prompt $p$g

if not exist c:\SPMV\Spmv.exe    goto newinst

echo --------------------------------------------------------------------
echo            Upgrading SPM Vision Software to Version 4.1
echo --------------------------------------------------------------------

goto keepon

:newinst

echo --------------------------------------------------------------------
echo            Installing SPM Vision Software Version 4.1
echo --------------------------------------------------------------------


:keepon

:: ------------------- Create all directories if needed -----------------
if not exist c:\SPMV\Spmv.exe    md c:\SPMV
if not exist c:\SPMV\Parms       md c:\SPMV\Parms
if not exist c:\SPMV\Fonts       md c:\SPMV\Fonts
if not exist c:\SPMV\Config      md c:\SPMV\Config
if not exist c:\SPMV\Help        md c:\SPMV\Help


:: ------------------- Copy default parameter file ----------------------
copy a:\SPMV\Parms\Spmv.par      c:\SPMV\Parms
copy a:\SPMV\Parms\Spmv.vis      c:\SPMV\Parms
copy a:\SPMV\Parms\Burnin.par    c:\SPMV\Parms
copy a:\SPMV\Parms\Burnin.vis    c:\SPMV\Parms
copy a:\SPMV\Parms\Burnin.md0    c:\SPMV\Parms
copy a:\SPMV\Parms\Burnin.md1    c:\SPMV\Parms
copy a:\SPMV\Parms\Spmv.par      c:\SPMV\Parms\Spmvpar.def
copy a:\SPMV\Parms\Spmv.vis      c:\SPMV\Parms\Spmvvis.def


:: ------------------- Copy Support files -------------------------------
copy a:\SPMV\Fonts               c:\SPMV\Fonts
copy a:\SPMV\Config              c:\SPMV\Config
if not exist c:\SPMV\Spmv.opt    copy a:\SPMV\Spmv.opt c:\SPMV
copy a:\SPMV\In                  c:\SPMV
copy a:\SPMV\Spmv.opt            c:\SPMV\Spmvopt.def
copy a:\SPMV\Language.bat        c:\SPMV\Language.bat


:: ------------------- Version 4.0 Support Files ------------------------
copy a:\SPMV\Devpos.ini          c:\SPMV\Devpos.ini
copy a:\Diskchk.exe              c:\SPMV\Diskchk.exe
copy a:\SPMV\Clname.exe          c:\SPMV\Clname.exe
copy a:\Spm.fil                  c:\SPMV\Spm.fil


::  ------------------ Install the Language Support Files ---------------
if not exist a:\SPMV\Instlang.bat goto instlang_bat_err
call a:\SPMV\Instlang.bat


:: ------------------- Mouse --------------------------------------------
if not exist c:\Mouse            md c:\Mouse
copy a:\Mouse                    c:\Mouse


:: ------------------- System startup files -----------------------------
if exist c:\DOS\Smartdrv.sys     copy a:\Config.run    c:\Config.sys
if exist c:\DOS\Smartdrv.exe     copy a:\Config1.run   c:\Config.sys
if not exist c:\SPMV\Spmv.exe    copy a:\Autoexec.run  c:\Autoexec.bat


:: ------------------- SPMV program -------------------------------------
copy a:\SPMV\Spmv.exe            c:\SPMV


:: ------------------- Convert files ------------------------------------
c:
cd\SPMV
clname


:: ------------------- Load Disk 2 --------------------------------------
echo --------------------------------------------------------------------
echo Please insert Disk 2 of 3 in drive A
echo --------------------------------------------------------------------
pause
copy a:\*.*                      c:\SPMV

a:\convert 4.11 SPMV


:: ------------------- Load Disk 3 --------------------------------------
echo --------------------------------------------------------------------
echo Please insert Disk 3 of 3 in drive A
echo --------------------------------------------------------------------
pause
copy a:\*.*                      c:\SPMV

echo --------------------------------------------------------------------
echo            The SPMV Software installation is now complete.
echo            Please remove diskette from floppy drive and
echo            reboot the computer.
echo --------------------------------------------------------------------
goto end

:instlang_bat_err
cls
echo.
echo.
echo.
echo.
echo                 Can not install the Language Support Files!
echo.
echo             Install Language Batch file missing in SPM directory
echo.
echo             Contact Speedline Technologies Service Representative
echo.
echo.
pause
echo.
cls
goto end

:end
